Page 1 of 1

archive Maintenance upgrade error

Posted: Tue May 02, 2006 1:41 pm
by deltabob
When I try to run the Archive Maintenance upgrade (to 2.2.1 Pro) I get the following in my ArchiveMaintenance.log:

02may06 09:37:42 | CREATE TRIGGER delete_feed_trigger
02may06 09:37:42 | AFTER DELETE ON feed
02may06 09:37:42 | FOR EACH ROW WHEN on_delete_feed( OLD.feed_id ) = 0
02may06 09:37:42 | BEGIN
02may06 09:37:42 | DELETE FROM feed_item WHERE feed_item.feed_id = OLD.feed_id ;
02may06 09:37:42 | DELETE FROM feed_metadata WHERE feed_metadata.feed_id = OLD.feed_id ;
02may06 09:37:42 | END ;
02may06 09:37:42 | - ERROR: no such column: item_title (rc=1).
02may06 09:37:42 | - Abandoning the upgrade for bolyarlx.

Any ideas on what I may have done wrong and/or how I can fix it?

Thanks,

Re: archive Maintenance upgrade error

Posted: Tue May 02, 2006 2:13 pm
by support
I think you were running 2.2.1.alpha2 or alpha3 before attempting this upgrade? There were special instructions for people running these alphas! :-)

If you saved your old installation, rollback to it and follow the special instructions. Otherwise, let us know and I'll see if we can repair what you've got.

Posted: Tue May 02, 2006 2:22 pm
by deltabob
When I checked the version in the Help menu, it just indicated 2.2; but perhaps the extensions don't show there.

I'll try a roll-back.

Thanks!

Posted: Tue May 02, 2006 2:24 pm
by support
deltabob wrote:When I checked the version in the Help menu, it just indicated 2.2

The alphas don't always show the correct version number :-). Did you actually install any of the alphas?

Posted: Wed May 03, 2006 12:29 pm
by deltabob
I had installed the alphas - I just forgot *blush*.

I've gotten everything straightened out though.

Thanks!